summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--tests/priv-check12
1 files changed, 11 insertions, 1 deletions
diff --git a/tests/priv-check b/tests/priv-check
index 786a4a591..4b95f860f 100644
--- a/tests/priv-check
+++ b/tests/priv-check
@@ -12,7 +12,17 @@ priv_check_temp=priv-check.$$
touch $priv_check_temp || framework_failure=1
chmod a-w $priv_check_temp || framework_failure=1
-(echo foo >> $priv_check_temp) >/dev/null 2>&1 || {
+(echo foo >> $priv_check_temp) >/dev/null 2>&1
+overwrite_status=$?
+give_msg=no
+case $1:$overwrite_status in
+ require-root:0) ;;
+ require-root:*) give_msg=yes ;;
+ require-non-root:0) give_msg=yes ;;
+ require-non-root:*) ;;
+esac
+
+test $give_msg = yes && {
cat <<EOF
***************************
NOTICE: